#!/bin/sh
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# Extra Planescape: Torment (2CD version) content (so CDs aren't needed)

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/cd-includes.sh"

parseargs "$@"

checkforbin unshield

getcd 1 640b61443cc86c434f1b6826e63c0e33 data1.cab

unshield -g OtherData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
unshield -g OtherData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die

mv "$TARGETDIR"/otherdata/* "$TARGETDIR" || die
rmdir "$TARGETDIR"/otherdata || die

getcd 2 610d9f6354be741b09fc25b5e9645328 cd2/movies4.bif

copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die

setperms "$TARGETDIR"
