#!/bin/bash
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# BG1 TOTSC official International patch

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/patch-includes.sh"

parseargs "$@"

checkforbin cabextract unshield wget

setuptmp

getpatch http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe

cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || diesoftly
unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly

cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly

cleanuptmp
setperms "$TARGETDIR"
