#!/bin/bash
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# BG1 official international patch

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/patch-includes.sh"

parseargs "$@"

checkforbin unzip unshield wget

setuptmp

getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe

unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || diesoftly
unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly

LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || diesoftly

cleanuptmp
setperms "$TARGETDIR"
